1

This question already has an answer here:

After installation I am getting like this:

E: Failed to fetch http://archive.canonical.com/pool/partner/s/skype/skype_4.2.0.11-0ubuntu0.12.04.2_amd64.deb  404  Not Found [IP: 91.189.91.15 80]   
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

marked as duplicate by karel, Eliah Kagan, Pilot6, Eric Carvalho, David Foerster Aug 22 '17 at 11:12

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • few guys did some comments on how to install skype but those are not working – gade ajay Aug 22 '17 at 7:45
  • 1
    Just download it from the official web site and install it, after you finish installing it you will see that it is Skype Beta, but that shouldn't be a problem. – PetarP Aug 22 '17 at 9:42
2

The legacy Skype for Linux application (v4.*) that was included in the repositories and partner repositories has been retired as of 1 July 2017. You can however still use the web-based Skype for Linux application.

  • 2
    According to the link "Important notice: All Skype for Linux clients version 4.3 and older will be retired on July 1, 2017. To keep chatting, please install the latest version of Skype for Linux." It seems it still is a client (beta version) and not a web based app. – Suraj Rao Aug 22 '17 at 9:29
  • I'm using it on 16.04 as beta version and it's working properly. – PetarP Aug 22 '17 at 9:44
  • @suraj It IS a web-based app, using WebRTC and electron. – pomsky Aug 22 '17 at 9:45
  • 1
    @pomsky ok.. but the answer does seem to be misleading when it says the official app is retired.. It is really the older version which is retired – Suraj Rao Aug 22 '17 at 9:47
  • 2
    @pomsky Usually when people say "web-based app" they mean a webapp that's used by opening a general-purpose web browser such as Firefox and navigating to a page. The wording of this answer strongly suggests this was the intended meaning, since it says "you can still use" (emphasis mine), and the app whose download page you've linked to--which is also now the official Skype for Linux!--is a much more recent development than the version of Skype the OP was trying to install from the Partner repository. I'm reluctant to roll your edits back, but they really should've been a separate answer. – Eliah Kagan Aug 22 '17 at 10:00
0

following steps worked out for me:

1) Download deb package of skype from source (I'm taking from https://go.skype.com/skypeforlinux-64.deb)

2) Install GDebi package Installer from ubuntu software center or from command line.

3) Install the downloaded deb package of skype with GDebi package Installer.

Note: you can also try with dpkg -i <deb-package> but sometimes it stucks in resolving dependencies so I prefer to go with GDebi package Installer.

Not the answer you're looking for? Browse other questions tagged or ask your own question.